%define _disable_source_fetch 0
%define debug_package %{nil}

Name:           kf6-kglobalaccel
Version:        6.24.0
Release:        1%{?dist}
Summary:        KDE Frameworks 6 - Global shortcuts

License:        LGPL-2.0-or-later
URL:            https://invent.kde.org/frameworks/kglobalaccel
Source0:        https://download.kde.org/stable/frameworks/6.24/kglobalaccel-%{version}.tar.xz

BuildRequires:  extra-cmake-modules
BuildRequires:  kf6-rpm-macros
BuildRequires:  qt6-qtbase-devel
BuildRequires:  qt6-qtdeclarative-devel
BuildRequires:  qt6-qtbase-private-devel
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6DBusAddons)

%description
KGlobalAccel allows you to have global keyboard shortcuts (shortcuts that
work even if the application does not have the focus).

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       qt6-qtbase-devel

%description    devel
Development files for %{name}.

%prep
%autosetup -n kglobalaccel-%{version} -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang kglobalaccel6 --all-name --with-qt || :

%files -f kglobalaccel6.lang
%license LICENSES/*
%{_libdir}/libKF6GlobalAccel.so.*
%{_datadir}/dbus-1/interfaces/kf6_org.kde.KGlobalAccel.xml
%{_datadir}/dbus-1/interfaces/kf6_org.kde.kglobalaccel.Component.xml
%{_datadir}/qlogging-categories6/kglobalaccel.categories
%{_datadir}/qlogging-categories6/kglobalaccel.renamecategories

%files devel
%{_includedir}/KF6/KGlobalAccel/
%{_libdir}/libKF6GlobalAccel.so
%{_libdir}/cmake/KF6GlobalAccel/

%changelog
* Tue Mar 24 2026 Anders da Silva Rytter Hansen <andersrh@users.noreply.github.com> - 6.24.0-1
- Initial release of kf6-kglobalaccel 6.24.0
